Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.yaml.snakeyaml.nodes
Class SequenceNode

    java.lang.Object
      org.yaml.snakeyaml.nodes.Node
          org.yaml.snakeyaml.nodes.CollectionNode
              org.yaml.snakeyaml.nodes.SequenceNode

    public class SequenceNode

extends CollectionNode

Represents a sequence.

A sequence is a ordered collection of nodes.

Field Summary

Fields inherited from class org.yaml.snakeyaml.nodes.Node
`endMark, resolved, useClassConstructor`

Constructor Summary
`SequenceNode(Tag tag, boolean resolved, List<Node> value, Mark startMark, Mark endMark, Boolean flowStyle)`
`SequenceNode(Tag tag, List<Node> value, Boolean flowStyle)`

Method Summary
`NodeId` | `getNodeId()` For error reporting.
`List<Node>` | `getValue()` Returns the elements in this sequence.
`void` | `setListType(Class<? extends Object> listType)`
`String` | `toString()`

Methods inherited from class org.yaml.snakeyaml.nodes.CollectionNode
`getFlowStyle, setEndMark, setFlowStyle`

Methods inherited from class org.yaml.snakeyaml.nodes.Node
`equals, getEndMark, getStartMark, getTag, getType, hashCode, isResolved, isTwoStepsConstruction, setTag, setTwoStepsConstruction, setType, setUseClassConstructor, useClassConstructor`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SequenceNode

    public SequenceNode(Tag tag,
                        boolean resolved,
                        List<Node> value,
                        Mark startMark,
                        Mark endMark,
                        Boolean flowStyle)

### SequenceNode

    public SequenceNode(Tag tag,
                        List<Node> value,
                        Boolean flowStyle)

Method Detail

### getNodeId

    public NodeId getNodeId()

  Description copied from class: `Node`
  For error reporting.

  Specified by:
    `getNodeId` in class `Node`
  Returns:
    scalar, sequence, mapping
  See Also:
    `variable 'id' in PyYAML`

### getValue

    public List<Node> getValue()

  Returns the elements in this sequence.

  Returns:
    Nodes in the specified order.

### setListType

    public void setListType(Class<? extends Object> listType)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011. All Rights Reserved.